Can I run Parallels Access on My Mac that runs Mavericks OS 9.5?

Discussion in 'Parallels Access and Parallels Desktop for Mac' started by jbaugh, Sep 10, 2021.

Tags:
  1. jbaugh

    jbaugh Bit Poster

    Messages:
    8
    I want to run Parallels Access on my old Mac Pro that runs Mavericks OS 9.5. Is this possible? Which version of the Access software would I need?
    Thanks.
    John
     
  2. Maria@Parallels

    Maria@Parallels Parallels Team

    Messages:
    8,494
    Hello,
    We stoped sell Parallels Access for Mavericks years ago. Unfortunately we haven't any download link also..
    The newest version of Parallels Access supports the following macOS:
    Mac with macOS 11 Big Sur/macOS Catalina 10.15/macOS Mojave 10.14/macOS High Sierra 10.13. may be this information will be helpful for you.

    Please sorry for the inconvenience caused.
     

Share This Page